/*
 File: TS_la6.cpp
 Date and Time: Sat Oct 11 20:57:16 2014 
*/
#include "TS_la6.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_TS_la6;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 8;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[4] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[5] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[6] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[7] =  new Per_rule_s_reuse_table();
}
  CTS_la6::
  CTS_la6()
    :yacco2::CAbs_fsm
      ("TS_la6.lex"
      ,"1.0"
      ,"17 Juin 2003"
      ,true
      ,"end-of-line recognizer"
      ,"Sat Oct 11 20:57:16 2014 "
      ,S1_CTS_la6){
    
  }
 
CTS_la6::~CTS_la6(){

  for(int x = 0;x < 8;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool CTS_la6::failed(){
      return false;
  }
  void CTS_la6::op(){
}
int CTS_la6::rhs_to_rules_mapping_[74] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,2 // subrule 5 for rule 3
 ,2 // subrule 6 for rule 3
 ,2 // subrule 7 for rule 3
 ,2 // subrule 8 for rule 3
 ,2 // subrule 9 for rule 3
 ,2 // subrule 10 for rule 3
 ,2 // subrule 11 for rule 3
 ,3 // subrule 12 for rule 4
 ,3 // subrule 13 for rule 4
 ,3 // subrule 14 for rule 4
 ,3 // subrule 15 for rule 4
 ,3 // subrule 16 for rule 4
 ,3 // subrule 17 for rule 4
 ,3 // subrule 18 for rule 4
 ,3 // subrule 19 for rule 4
 ,3 // subrule 20 for rule 4
 ,3 // subrule 21 for rule 4
 ,3 // subrule 22 for rule 4
 ,3 // subrule 23 for rule 4
 ,3 // subrule 24 for rule 4
 ,4 // subrule 25 for rule 5
 ,4 // subrule 26 for rule 5
 ,4 // subrule 27 for rule 5
 ,4 // subrule 28 for rule 5
 ,4 // subrule 29 for rule 5
 ,4 // subrule 30 for rule 5
 ,4 // subrule 31 for rule 5
 ,4 // subrule 32 for rule 5
 ,4 // subrule 33 for rule 5
 ,4 // subrule 34 for rule 5
 ,4 // subrule 35 for rule 5
 ,4 // subrule 36 for rule 5
 ,4 // subrule 37 for rule 5
 ,5 // subrule 38 for rule 6
 ,5 // subrule 39 for rule 6
 ,5 // subrule 40 for rule 6
 ,5 // subrule 41 for rule 6
 ,5 // subrule 42 for rule 6
 ,5 // subrule 43 for rule 6
 ,5 // subrule 44 for rule 6
 ,5 // subrule 45 for rule 6
 ,5 // subrule 46 for rule 6
 ,5 // subrule 47 for rule 6
 ,5 // subrule 48 for rule 6
 ,5 // subrule 49 for rule 6
 ,5 // subrule 50 for rule 6
 ,6 // subrule 51 for rule 7
 ,6 // subrule 52 for rule 7
 ,6 // subrule 53 for rule 7
 ,6 // subrule 54 for rule 7
 ,6 // subrule 55 for rule 7
 ,6 // subrule 56 for rule 7
 ,6 // subrule 57 for rule 7
 ,6 // subrule 58 for rule 7
 ,6 // subrule 59 for rule 7
 ,6 // subrule 60 for rule 7
 ,6 // subrule 61 for rule 7
 ,6 // subrule 62 for rule 7
 ,6 // subrule 63 for rule 7
 ,7 // subrule 64 for rule 8
 ,7 // subrule 65 for rule 8
 ,7 // subrule 66 for rule 8
 ,7 // subrule 67 for rule 8
 ,7 // subrule 68 for rule 8
 ,7 // subrule 69 for rule 8
 ,7 // subrule 70 for rule 8
 ,7 // subrule 71 for rule 8
 ,7 // subrule 72 for rule 8
 ,7 // subrule 73 for rule 8
}; 
Reol::Reol(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Reol",0,CTS_la6::R_Reol_,P,true,true){
}

Rdelimiters::Rdelimiters(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rdelimiters",0,CTS_la6::R_Rdelimiters_,P,true,true){
}

Rminus_la::Rminus_la(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rminus_la",0,CTS_la6::R_Rminus_la_,P,true,true){
}

RUPPER_A_M::RUPPER_A_M(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RUPPER_A_M",0,CTS_la6::R_RUPPER_A_M_,P,true,true){
}

RUPPER_N_Z::RUPPER_N_Z(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RUPPER_N_Z",0,CTS_la6::R_RUPPER_N_Z_,P,true,true){
}

Rlower_a_m::Rlower_a_m(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlower_a_m",0,CTS_la6::R_Rlower_a_m_,P,true,true){
}

Rlower_n_z::Rlower_n_z(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlower_n_z",0,CTS_la6::R_Rlower_n_z_,P,true,true){
}

RNUMBERS::RNUMBERS(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RNUMBERS",0,CTS_la6::R_RNUMBERS_,P,true,true){
}

